Bug 159433 - kernel crash with autofs direct mount to itself
kernel crash with autofs direct mount to itself
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-02 13:31 EDT by utz lehmann
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-06 13:01:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description utz lehmann 2005-06-02 13:31:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Galeon/1.3.21

Description of problem:
Kernel crash with an autofs direct mount to localhost to the same directory.

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.27_FC3 (i686 UP), autofs-4.1.3-114

How reproducible:
Always

Steps to Reproduce:
1. Enable autofs with direct mounts
2. Create a directory, e.g. /test/crash/
3. Put following into /etc/auto.direct
   /test/crash             localhost:/test/crash
4. Start/reload autofs
5. Access the directory, e.g. ls /test/crash/
  

Actual Results:  Kernel crashed. With different outputs (continuous messages, recursive BUG(), snow crash).

Expected Results:  No crash.

Additional info:
Comment 1 Jeffrey Moyer 2005-06-06 13:01:08 EDT
Don't do that.

As it happens, this issue was being worked upstream.  I'll check on the status,
but as root you can shoot yourself in the foot so many ways, this just doesn't
warrant any real attention.

Note You need to log in before you can comment on or make changes to this bug.